html {
  position: relative;
  min-height: 100%;
}

body {
  font-size: 100%;
  line-height: 1.4;
  background-image: url("/static/qrmedia/img/wikipedia15pattern.png");
  background-position: center 0px;
  background-repeat: repeat;
  background-attachment : fixed;
}

.greypage {
  background-color: #ddd;
}

.pagewithfooter {
  margin-bottom: 60px; /* Margin bottom by footer height */;
}

h1, h2 {
  font-family: 'Linux Libertine','Georgia','Times',serif;
}


a {
  color: #0645ad;
  text-decoration: none;
}


/* Homepage */

#qr-generator {
  padding: 10px;
	margin-bottom: 60px;
  font-size: 1rem;
}

#qr-generator p {
  font-size: 1em;
}

#qr-description {
	  font-style: italic;
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 60px; /* Set the fixed height of the footer here */
  /* line-height: 60px; /* Vertically center the text there */
  background-color: #f5f5f5;
}

main {
	margin-top: 120px;
}

.container {
  width: auto;
  max-width: 680px;
}

/* Entry pages */

#entry-content {
  max-width: 900px;
  margin: auto;
  font-size: 2.5vmin;
}

#entry-content h1 {
  font-size: 4vw;
}

#entry-content h2 {
  font-size: 3.0vh;
}

.card-img-top {
  width: 100%;
  max-height: 33vmax;
  object-fit: cover;
}

#entry-content p {
  padding: 0px 10px;
  font-family: sans-serif;
}


#entry-content .btn {
  font-size: 2.5vmin;
}

.card-subtitle {
  font-style: italic;
  font-weight: normal; 
  color: #54595d;
}

.project-logo {
  height: 22px;
}

.btn-group-vertical {
  width: 90%;
  margin: 0 5%;
}

#wvoy-banner {
  display: block;
  margin-top: 20px;
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
}

#commons-gallery-inner {
  margin-top: 10px;
  max-width: 610px;
  margin-left: auto;
  margin-right: auto;
}

#commons-gallery-inner img {
  width: 80px;
  height: 80px;
  object-fit: cover;
  margin: 5px;
}

.project-card {
  width: 100%;
  min-height: 250px;
}

/* For big computer screens */
@media only screen and (min-width: 1281px) {
  #entry-content {
    max-width: 600px;
    margin: auto;
    font-size: 2vmin;
  }

  .card-img-top {
    max-height: 15vmax;
  }

  #wvoy-banner {
    max-width: 500px;
  }

  #wvoy-banner img {
    max-width: 500px;
  }
}